Interface CfnTopicRuleProps
- All Superinterfaces:
software.amazon.jsii.JsiiSerializable
- All Known Implementing Classes:
CfnTopicRuleProps.Jsii$Proxy
@Generated(value="jsii-pacmak/1.139.0 (build 26a6b54)",
date="2026-09-17T14:54:05.804Z")
@Stability(Stable)
public interface CfnTopicRuleProps
extends software.amazon.jsii.JsiiSerializable
Properties for defining a
CfnTopicRule.
Example:
- See Also:
-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic final classA builder forCfnTopicRulePropsstatic final classAn implementation forCfnTopicRuleProps -
Method Summary
Modifier and TypeMethodDescriptionstatic CfnTopicRuleProps.Builderbuilder()default StringThe name of the rule.getTags()Metadata which can be used to manage the topic rule.The rule payload.Methods inherited from interface software.amazon.jsii.JsiiSerializable
$jsii$toJson
-
Method Details
-
getTopicRulePayload
The rule payload.Returns union: either
IResolvableorCfnTopicRule.TopicRulePayloadProperty- See Also:
-
getRuleName
The name of the rule.- See Also:
-
getTags
Metadata which can be used to manage the topic rule.For URI Request parameters use format: ...key1=value1&key2=value2...
For the CLI command-line parameter use format: --tags "key1=value1&key2=value2..."
For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."
- See Also:
-
builder
- Returns:
- a
CfnTopicRuleProps.BuilderofCfnTopicRuleProps
-